IteratorIterator::rewind
LimitIterator
IteratorIterator
PHP Manual

# IteratorIterator::valid

(PHP 5 >= 5.1.0)

IteratorIterator::valid — Checks if the iterator is valid

### Description

public bool IteratorIterator::valid ( void )

Checks if the iterator is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the iterator is valid, otherwise `FALSE`

### See Also

- iterator_count() - Count the elements in an iterator
- IteratorIterator::current() - Get the current value

IteratorIterator::rewind
LimitIterator
IteratorIterator
PHP Manual